<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

  instr transp
 ;input from pd
aIn       inch      1
 ;transform to frequency domain
fIn       pvsanal   aIn, 1024, 256, 1024, 1
 ;transposition
fTransp1  pvscale   fIn, cent(-600)
fTransp2  pvscale   fIn, cent(-100)
fTransp3  pvscale   fIn, cent(200)
fTransp4  pvscale   fIn, cent(500)
 ;back to time domain
aTransp1  pvsynth   fTransp1
aTransp2  pvsynth   fTransp2
aTransp3  pvsynth   fTransp3
aTransp4  pvsynth   fTransp4
 ;panning
aL1, aR1  pan2      aTransp1, .1
aL2, aR2  pan2      aTransp2, .33
aL3, aR3  pan2      aTransp3, .67
aL4, aR4  pan2      aTransp4, .9
aL        =         (aL1+aL2+aL3+aL4)/3
aR        =         (aR1+aR2+aR3+aR4)/3
 ;output to pd
          outs      aL, aR
  endin

</CsInstruments>
<CsScore>
i "transp" 0 99999
</CsScore>
</CsoundSynthesizer>

